Bug 54636 - "ld: bvmlinux: Not enough room for program headers (allocated 2, need 3)" building kernel 2.2.19
Summary: "ld: bvmlinux: Not enough room for program headers (allocated 2, need 3)" bui...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: binutils   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-14 20:52 UTC by Jonathan Kamens
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-18 08:19:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2001-10-14 20:52:28 UTC
I have gcc-2.96-99, glibc-2.2.4-13 (but the problem also happens with -19),
and binutils-2.11.92.0.5-2.  When I try to run "make bzImage" in my 2.2.19
kernel directory, I get:

ld -m elf_i386 -Ttext 0x100000 -e startup_32 -o bvmlinux head.o misc.o
piggy.o
ld: bvmlinux: Not enough room for program headers (allocated 2, need 3)
ld: final link failed: Bad value
make[2]: *** [bvmlinux] Error 1
make[2]: Leaving directory
`/usr/src/linux-2.2.19/arch/i386/boot/compressed'
make[1]: *** [compressed/bvmlinux] Error 2
make[1]: Leaving directory `/usr/src/linux-2.2.19/arch/i386/boot'
make: *** [bzImage] Error 2

If I downgrade to binutils-2.11.90.0.8-8, the problem goes away.

Comment 1 Jakub Jelinek 2001-10-18 08:19:10 UTC
This looks very much like:
http://sources.redhat.com/ml/binutils/2001-10/msg00309.html

Comment 2 Jakub Jelinek 2001-11-12 14:15:20 UTC
Should be fixed in 2.11.92.0.7-1.


Note You need to log in before you can comment on or make changes to this bug.